/*
	wtoi.c

	Word to int, int to word conversion

	Copyright (C) 1996-1997  Id Software, Inc.

	This program is free software; you can redistribute it and/or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version 2
	of the License, or (at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

	See the GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to:

		Free Software Foundation, Inc.
		59 Temple Place - Suite 330
		Boston, MA  02111-1307, USA

	$Id$
*/

#ifdef HAVE_CONFIG_H
# include "config.h"
#endif

#include <stdio.h>
#include <string.h>
#include "wtoi.h"

char *
WIC_IntToStr (int needle, wic_t *haystack)
{
	char 	   *result = NULL;
	
	for (; haystack->name != NULL; haystack++) {
		if (needle == haystack->num) {
			result = haystack->name;
		}
	}
	return result;
}

int
WIC_StrToInt (char *needle, wic_t *haystack)
{
	int 		result = -1;
	
	for (; haystack->name != NULL; haystack++) {
		if (!strcasecmp(needle, haystack->name)) {
			result = haystack->num;
		}
	}
	return result;
}
